# Generate automatically. Do not edit.

commit e4c5d3b34941bdc433072a492a0a7fdbddba0cc2
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-25

    build: Simplify README inclusion
    
    Use symlink in the repository, instead of copying.

 .gitignore  | 1 -
 Makefile.am | 7 +------
 README      | 1 +
 3 files changed, 2 insertions(+), 7 deletions(-)

commit 65dd5469ad164465583167c63114478587db59fd
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-24

    NEWS: Mention latest changes

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 8b90031aeb495116a87851dca50845b8df0d1e90
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-25

    build: Delay building mock-six.la until "make check"

 p11-kit/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8df105871eb5f6bca3e5f4dcf165f2bbf920f106
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-24

    build: Include README in the distribution
    
    As we removed README from the repository, it is no longer
    automatically picked up for the distribution by Automake.

 Makefile.am | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 275eed62b5d0e17c092b66af233ffc5b2f45245b
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-24

    build: Fix ChangeLog generation

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf204ada4685415287b3d03b3d79634c86739b83
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-24

    build: Remove obsolete upload rules

 Makefile.am | 15 ---------------
 1 file changed, 15 deletions(-)

commit e2002df5707dd306cea0684706361be72891231b
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-24

    build: Include p11-kit/test-messages.sh in distribution

 p11-kit/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 258da75cd606a3653bc414a6ace01c8bfdfabca6
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-24

    uri: Make scheme comparison case-insensitive
    
    RFC 3986 suggests that implementations should accept uppercase letters
    as equivalent to lowercase in scheme names.

 p11-kit/test-uri.c | 21 +++++++++++++++++++++
 p11-kit/uri.c      | 12 +++++++++---
 2 files changed, 30 insertions(+), 3 deletions(-)

commit 117b35db99af4331daad4279eadfb9280e0c1325
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-24

    common: Make case conversion locale independent
    
    The tolower()/toupper() functions take into account of the current
    locale settings, which p11-kit doesn't want.  Add replacement
    functions that work as if they are called under the C locale.

 common/compat.c         | 16 ++++++++++++++++
 common/compat.h         |  3 +++
 common/mock.c           |  4 ++--
 common/url.c            |  4 ++--
 trust/extract-jks.c     |  2 +-
 trust/extract-openssl.c |  2 +-
 6 files changed, 25 insertions(+), 6 deletions(-)

commit e42dcf5283a5537c196147c9a2468ee537b9da7b
Author: Nathaniel McCallum <npmccallum@redhat.com>
Date:   2018-05-14

    Improve const correctness for P11KitUri
    
    This does not improve const for the getters. The reason for this is that
    they are usually passed into the PKCS#11 APIs directly and these APIs
    are not const correct. Trying to force const correctnesss here would
    result in pain for library consumers.
    
    This is an API and ABI compatible change.

 p11-kit/private.h | 12 ++++++------
 p11-kit/uri.c     | 34 +++++++++++++++++-----------------
 p11-kit/uri.h     | 36 ++++++++++++++++++------------------
 3 files changed, 41 insertions(+), 41 deletions(-)

commit 6af8234936f805a9c6dceb29a84e73d40ed4b257
Author: Nikos Mavrogiannopoulos <nmav@redhat.com>
Date:   2018-05-18

    README: replace by README.md
    
    That is, use README.md as primary source to generate README as
    README is required by the GNU guidelines. We don't try to convert
    to "real" plain text as markdown is readable, and to avoid introducing
    another dependency (e.g., pandoc).
    
    Signed-off-by: Nikos Mavrogiannopoulos <nmav@redhat.com>

 .gitignore  | 1 +
 Makefile.am | 1 +
 README      | 8 --------
 3 files changed, 2 insertions(+), 8 deletions(-)

commit 58c3eb9acf5885069652f1b02edb7aca01580b96
Author: Nikos Mavrogiannopoulos <nmav@redhat.com>
Date:   2018-05-18

    NEWS: mark the 0.23 series as stable
    
    Resolves #80
    
    Signed-off-by: Nikos Mavrogiannopoulos <nmav@redhat.com>

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 14610d49c4e6c68022be63df1481f74ccb0aa75a
Author: Nikos Mavrogiannopoulos <nmav@redhat.com>
Date:   2018-05-18

    README.md: added reference to Daiki's key
    
    Resolves #153
    
    Signed-off-by: Nikos Mavrogiannopoulos <nmav@redhat.com>

 README.md | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

commit f272dd4a1c68125c8f696b1e0eebb15c45c6923a
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-07

    Release 0.23.11

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 5f68c96da949b08e2afd109d276d80e42cab68b7
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-07

    common: Pacify clang-analyzer

 common/buffer.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 98fbfc3b6126c809eb44c700871facca6ac7727d
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-07

    trust: Avoid array overflow

 trust/builder.c         | 4 ++--
 trust/extract-openssl.c | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 34ab20cbf79ca50972bf3088c8b6e9978ff0dc2b
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-07

    trust: Don't null terminate PKCS #11 string fields

 trust/module.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ba006ed40cad2e0d1fe3c3355c18bdfb612c2cd6
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-07

    proxy: Don't null terminate PKCS #11 string fields

 p11-kit/proxy.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1b85c62af8146efa0e648a297179db2bbfe59b43
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-03

    test: Avoid exceeding maximum pathname length of Unix socket

 p11-kit/test-server.sh | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit a625dfa4f2456b1a866489e5be15fb46578237a5
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-27

    library: Use dedicated locale object for printing error

 common/debug.c        | 14 +++++++-------
 common/library.c      | 13 +++++++++++++
 common/message.c      | 14 +++++++-------
 common/test-message.c | 15 +++++++++++++++
 configure.ac          |  2 +-
 5 files changed, 43 insertions(+), 15 deletions(-)

commit 6202903b261dfae740af3f8e985244bab48470ba
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-27

    Revert "build: Check strerror_l() and uselocale() seperately"
    
    This reverts commit 173ad93cc54057886b2055f3d73ea64a047127d1.
    
    We should rather use newlocale() when per-thread locale is not set.
    Otherwise uselocale() could return LC_GLOBAL_LOCALE on some
    platforms (e.g. musl-libc) and calling strerror_l() with it leads to
    an undefined behavior.

 common/debug.c   | 9 ++-------
 common/message.c | 9 ++-------
 configure.ac     | 2 +-
 3 files changed, 5 insertions(+), 15 deletions(-)

commit 173ad93cc54057886b2055f3d73ea64a047127d1
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-19

    build: Check strerror_l() and uselocale() seperately
    
    NetBSD deliberately doesn't support per-thread locale and our
    thread-safe replacement of strerror() using strerror_l() cannot be
    used.  Fallback to strerror_r() in that case.

 common/debug.c   | 9 +++++++--
 common/message.c | 9 +++++++--
 configure.ac     | 2 +-
 3 files changed, 15 insertions(+), 5 deletions(-)

commit a95c7a3e936896349bf925ca7cd47f0a03166249
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-10

    travis: Optimize dnf install invocation

 .travis.yml | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit e4b86e449a83428592e45db28834be950e837d74
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-10

    test: Add installcheck script to test trust module
    
    Currently it only checks that "disable-in: p11-kit-proxy" properly
    prevents the trust module being loaded by the proxy module.

 trust/Makefile.am   |  4 +++-
 trust/test-trust.sh | 21 +++++++++++++++++++++
 2 files changed, 24 insertions(+), 1 deletion(-)

commit 5d97643884879d4967d21cb29c9917271a4b65db
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-10

    trust: Prevent trust module being loaded by proxy module
    
    Otherwise, when the proxy module were registerd in NSS database, the
    trust module would be loaded twice and degrade search performance.

 trust/p11-kit-trust.module | 3 +++
 1 file changed, 3 insertions(+)

commit af71f7961370714112f258c0e404d96bdef9cee9
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-10

    travis: Run "make installcheck"

 .travis.yml | 24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

commit cbef7f5d8a14d46ecdf0c25c3d38d26598a66f8c
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-10

    trust: Fix memleak in p11_enumerate_opt_filter
    
    p11_kit_iter_add_filter() takes the ownership of given attributes.
    Spotted by address sanitizer.

 trust/enumerate.c | 1 +
 1 file changed, 1 insertion(+)

commit e4a5466e5e3cfe22344e79c6e1a0ad9a7945a602
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-10

    test: Factor out common harness from test-extract.in

 .gitignore                                 |   2 +-
 configure.ac                               |   2 +-
 trust/Makefile.am                          |   7 +-
 trust/{test-extract.in => test-extract.sh} |  92 +------------------------
 trust/test-init.sh.in                      | 106 +++++++++++++++++++++++++++++
 5 files changed, 114 insertions(+), 95 deletions(-)

commit dcb6ee3fa89e0c9586e2b09e1f60aa076f263123
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-31

    test: Add test for JKS extractor
    
    Piggybacking commit de963b96, this adds a multi-cert test case for the
    Java keystore extractor.

 trust/Makefile.am           |   5 ++
 trust/extract-jks.c         |   7 +-
 trust/fixtures/multiple.jks | Bin 0 -> 2556 bytes
 trust/test-jks.c            | 213 ++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 224 insertions(+), 1 deletion(-)

commit af6ab322b1ad9a4f4a0117a79bd566550ec0a0a8
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-05

    test: Add test for p11_attrs_purge()

 common/test-attrs.c | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 843fca9b67b7407a47bcae698f434c975a4a4e91
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-05

    mock-module-ep: Properly override C_GetFunctionList

 p11-kit/mock-module-ep.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6d0e490209638605b17b0bdc66ad03d36909dae
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-04-05

    modules: Add option to control module visibility from proxy
    
    This enables to control whether a module will be loaded from the proxy
    module.  The configuration reuses the "enable-in" and "disable-in"
    options, with a special literal "p11-kit-proxy" as the value.

 doc/manual/pkcs11.conf.xml |  2 ++
 p11-kit/modules.c          | 35 ++++++++++++++-----
 p11-kit/p11-kit.h          |  1 +
 p11-kit/private.h          |  5 +++
 p11-kit/proxy.c            |  2 +-
 p11-kit/test-proxy.c       | 83 ++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 118 insertions(+), 10 deletions(-)

commit de963b96929b9da61916a0c43b4ac4c34a39e238
Author: Laszlo Ersek <lersek@redhat.com>
Date:   2018-03-29

    trust: add unit test for the "edk2-cacerts" extractor
    
    Add a multi-cert test case for the edk2 extractor, heavily based on the
    "/openssl/test_file_multiple" test case.
    
    Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1559580
    Signed-off-by: Laszlo Ersek <lersek@redhat.com>

 trust/Makefile.am            |   5 ++
 trust/fixtures/multiple.edk2 | Bin 0 -> 2549 bytes
 trust/test-edk2.c            | 209 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 214 insertions(+)

commit ee27f9153a14d0c6d75f8745a8c1879a6e4bb2e8
Author: Laszlo Ersek <lersek@redhat.com>
Date:   2018-03-27

    trust: implement the "edk2-cacerts" extractor
    
    Extract the DER-encoded X.509 certificates in the EFI_SIGNATURE_LIST
    format that is
    
    - defined by the UEFI 2.7 spec (using one inner EFI_SIGNATURE_DATA object
      per EFI_SIGNATURE_LIST, as specified for EFI_CERT_X509_GUID),
    
    - and expected by edk2's HttpDxe when it configures the certificate list
      for HTTPS boot from EFI_TLS_CA_CERTIFICATE_VARIABLE (see the
      TlsConfigCertificate() function in "NetworkPkg/HttpDxe/HttpsSupport.c").
    
    The intended command line is
    
      p11-kit extract \
        --format=edk2-cacerts \
        --filter=ca-anchors \
        --overwrite \
        --purpose=server-auth \
        $DEST/edk2/cacerts.bin
    
    Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1559580
    Signed-off-by: Laszlo Ersek <lersek@redhat.com>

 trust/extract-edk2.c | 169 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 168 insertions(+), 1 deletion(-)

commit 59054e4f9fe3e95f8db881973901ab59a0b1ef8a
Author: Laszlo Ersek <lersek@redhat.com>
Date:   2018-03-27

    trust: introduce the "edk2-cacerts" extractor skeleton
    
    Introduce the p11_extract_edk2_cacerts() skeleton. At the moment it always
    fails, silently.
    
    Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1559580
    Signed-off-by: Laszlo Ersek <lersek@redhat.com>

 trust/Makefile.am    |  1 +
 trust/extract-edk2.c | 44 ++++++++++++++++++++++++++++++++++++++++++++
 trust/extract.c      |  4 +++-
 trust/extract.h      |  3 +++
 4 files changed, 51 insertions(+), 1 deletion(-)

commit ba6ebb05fc0c8010d8510984ce3c5f908edf13b6
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-29

    modules: Fix memleak in re-initialization case

 p11-kit/modules.c | 1 +
 1 file changed, 1 insertion(+)

commit 1ca877e3d3b1315ee9358f7e3c9096e10e14486e
Author: Justin King-Lacroix <justinkl@google.com>
Date:   2018-03-16

    Treat CKR_CRYPTOKI_ALREADY_INITIALIZED correctly
    
    In p11_kit_modules_initialize(), treat a return code
    of CKR_CRYPTOKI_ALREADY_INITIALIZED as identical to
    CKR_OK.

 p11-kit/modules.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 46901ab914e3f37e6e7287d47d9ab1281e3d64dc
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-29

    travis: Disallow failure on mingw

 .travis.yml | 4 ----
 1 file changed, 4 deletions(-)

commit 41301742772b411eb8b3e819c54b1eb5b9ca82dd
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-29

    test: Add missing seven.module in Windows fixtures

 p11-kit/fixtures/system-modules/win32/seven.module | 4 ++++
 1 file changed, 4 insertions(+)

commit a3478f097bff647892c18cbab1e6f5b8bd5a6614
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-29

    travis: Use LOG_COMPILER to run tests under wine

 .travis.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a711a578ba7a1775bdc20ea00fbbdb4f10f91d58
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-29

    build: Enable make check with wine

 build/wine-wrapper.sh    | 13 +++++++++++++
 p11-kit/test-messages.sh |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit bfdd4372ff381ce234d357bb43636b86e6cc1e8f
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-29

    common: Fix compilation of runtime.c under mingw

 common/runtime.c      | 29 ++++++++++++++++++++---------
 common/test-runtime.c | 14 +++++++++++++-
 2 files changed, 33 insertions(+), 10 deletions(-)

commit 7827e65abacc87018be035a3008a4bb89280a85a
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-27

    test: Add failing test for CKR_CRYPTOKI_ALREADY_INITIALIZED

 p11-kit/Makefile.am                          |  7 ++-
 p11-kit/fixtures/system-modules/seven.module |  4 ++
 p11-kit/mock-module-ep5.c                    | 80 ++++++++++++++++++++++++++++
 p11-kit/test-modules.c                       | 25 +++++++++
 4 files changed, 115 insertions(+), 1 deletion(-)

commit e454338dddef9089a3b9998cc8ba33e247ee9f26
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-07

    test: Add test for error messages

 .travis.yml              |   2 +-
 p11-kit/Makefile.am      |   2 +
 p11-kit/test-messages.sh | 110 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 113 insertions(+), 1 deletion(-)

commit 007023002811469ae3982a0cfcd9a73aed762ad1
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-28

    test: Use _exit() in child process to immediately close open FDs

 p11-kit/test-proxy.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 294c0efda49a623f47eb3c459bb5ed812ebc757c
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-28

    test: Rewrite test-server.sh in TAP style

 p11-kit/test-server.sh | 38 +++++++++++++++++++++++++++-----------
 1 file changed, 27 insertions(+), 11 deletions(-)

commit 1eb22867b1123601387b1fa06643077225bd7590
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-27

    test: Take advantage of TAP test driver

 .gitignore   | 1 +
 Makefile.am  | 4 ++++
 configure.ac | 1 +
 3 files changed, 6 insertions(+)

commit 9abfcd53e922f5c3841061e363e5ac88d92c2433
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-03-27

    common: Add assert_skip() and assert_todo()

 common/test.c | 121 ++++++++++++++++++++++++++++++++++++++++++++++++++--------
 common/test.h |  20 ++++++++++
 2 files changed, 126 insertions(+), 15 deletions(-)

commit e8d569045c7d224e94836edd77856823aadf8267
Author: Andreas Metzler <ametzler@bebt.de>
Date:   2018-02-27

    test-server.sh: Fix bashism

 p11-kit/test-server.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f6b7a992e442218a5afdbf8ae1697c53f3f03991
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-27

    Release 0.23.10

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 39eb7a3dd16233b16fb1e50fe30d55f5f86fbaa5
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-27

    maint: Point to the new URLs

 HACKING      | 6 +++---
 configure.ac | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit d2318ca31774d6a02eff5d0b3af2f3c89cb58c9d
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-27

    test-server: Add test for detecting address

 p11-kit/test-server.c | 30 +++++++++++++++++++++++++++++-
 1 file changed, 29 insertions(+), 1 deletion(-)

commit 264ecf416d6d07c558d80031c077a46a909a6f90
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-27

    test-server: Fix compilation error on FreeBSD

 p11-kit/test-server.c | 1 +
 1 file changed, 1 insertion(+)

commit 44c67d90b0448888c784e661b5967204f5b0d47d
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-27

    common, client: Move runtime directory detection to libp11-common

 common/Makefile.am    |   5 ++
 common/runtime.c      | 111 ++++++++++++++++++++++++++++++++++++++++++
 common/runtime.h      |  42 ++++++++++++++++
 common/test-runtime.c | 132 ++++++++++++++++++++++++++++++++++++++++++++++++++
 p11-kit/client.c      |  67 +------------------------
 5 files changed, 292 insertions(+), 65 deletions(-)

commit d8acebf175d727a3e146956fb362c30e7fdec9df
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-27

    common: Make p11_test_directory_delete() work recursively

 common/test.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit bcf2c4e0a24303f976dbedc0ef0a564b9808a989
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-27

    test: Improve temporary directory handling

 p11-kit/test-transport.c | 6 ++++--
 trust/test-module.c      | 2 ++
 2 files changed, 6 insertions(+), 2 deletions(-)

commit fb8bf5a5f82e5b4f0afe72e247255f37fc0dedc8
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-05

    p11_kit_remote_serve_tokens: Read "write-protected" setting from URI

 p11-kit/rpc-server.c  | 12 ++++++++++++
 p11-kit/test-server.c | 30 ++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

commit a0984024470218295d74bed364c37862d4c61d60
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-05

    filter: Respect CKF_WRITE_PROTECTED setting when allowing a token

 p11-kit/filter.c      |  48 ++++++++++++++++--------
 p11-kit/test-filter.c | 102 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 134 insertions(+), 16 deletions(-)

commit d3a1498ef9b8a626bbd864a6c90e45a6278a0e75
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-26

    test: Add test for client-server interaction
    
    The test spawns a process running the server command and connects to
    it through p11-kit-client.so.  It's is a bit tricky that the child
    process requires to preload libasan.so when ASan is in in effect, to
    properly load a mock module.

 .travis.yml           |  10 ++-
 build/lsan.supp       |   3 +
 p11-kit/Makefile.am   |   4 +
 p11-kit/test-server.c | 199 ++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 213 insertions(+), 3 deletions(-)

commit f73868b710d4463cc0cff6f8ea2f3a171f86c8e2
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-26

    server: Print envvars even when running in foreground

 p11-kit/server.c | 61 ++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 39 insertions(+), 22 deletions(-)

commit adc760e5ce90d49f7c6183c689f95868341f6fb7
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-26

    test-transport: Make sure to initialize addrlen given to accept

 p11-kit/test-transport.c | 1 +
 1 file changed, 1 insertion(+)

commit 47297f9785a21af1bb79450bad549aa8bd33a24c
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-26

    client: Fix memleaks in the module

 p11-kit/client.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 7a018706b54e09f1cc7ce8c6d1ceaecf28b7308b
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-26

    test: Fix unconditional jump in test-proxy.c

 p11-kit/test-proxy.c | 1 +
 1 file changed, 1 insertion(+)

commit 975f2ccf5dcde210e1da5557eda627c42763e322
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-02-16

    doc: Replace links to freedesktop.org to github pages

 doc/manual/p11-kit-devel.xml | 8 ++++----
 doc/manual/p11-kit.xml       | 4 ++--
 doc/manual/pkcs11.conf.xml   | 2 +-
 doc/manual/trust.xml         | 6 +++---
 4 files changed, 10 insertions(+), 10 deletions(-)

commit 9616790b9ad4147acd5b11de11d6d79bc9ad807f
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-19

    trust: Forcibly mark "Default Trust" read-only
    
    The "Default Trust" token is typically mounted as $datadir, which is
    considered as read-only on modern OSes.
    
    Suggestd by Kai Engert in:
    https://bugzilla.redhat.com/show_bug.cgi?id=1523630

 trust/Makefile.am   |  6 ++++-
 trust/frob-token.c  |  2 +-
 trust/module.c      | 12 ++++++----
 trust/test-module.c | 69 +++++++++++++++++++++++++++++++++++++++++++++++++++--
 trust/test-token.c  | 10 ++++----
 trust/token.c       |  9 ++++++-
 trust/token.h       |  8 ++++++-
 7 files changed, 101 insertions(+), 15 deletions(-)

commit 49d2ededb64197702a8708cb4a453497bc7eaecd
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-31

    po: Update translations from transifex

 po/LINGUAS  |   8 +-
 po/ast.po   | 342 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ca.po    | 171 +++++++++++++++---------------
 po/cs.po    |  85 +++++++--------
 po/da.po    |   6 +-
 po/de.po    |   6 +-
 po/el.po    |   6 +-
 po/en_GB.po |   6 +-
 po/eo.po    |   6 +-
 po/es.po    |  12 +--
 po/fi.po    |   6 +-
 po/fr.po    |   6 +-
 po/fur.po   | 343 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/gl.po    |   6 +-
 po/hr.po    |  79 +++++++-------
 po/hu.po    |   6 +-
 po/id.po    |   6 +-
 po/it.po    |   6 +-
 po/ja.po    |  10 +-
 po/ka.po    |   6 +-
 po/kk.po    |   6 +-
 po/ko.po    |   6 +-
 po/lv.po    |   6 +-
 po/nl.po    |   6 +-
 po/oc.po    | 171 +++++++++++++++---------------
 po/pa.po    |   8 +-
 po/pl.po    |  28 ++---
 po/pt.po    | 171 +++++++++++++++---------------
 po/pt_BR.po |   6 +-
 po/ru.po    |   6 +-
 po/sk.po    |   6 +-
 po/sl.po    |   6 +-
 po/sr.po    |   6 +-
 po/sv.po    |   6 +-
 po/tr.po    |   6 +-
 po/uk.po    |   6 +-
 po/zh_CN.po |   8 +-
 po/zh_TW.po |   6 +-
 38 files changed, 1139 insertions(+), 447 deletions(-)

commit f7387ddea8a5fe609f052a9a40691ebb3ae86372
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-31

    build: Add more files to .gitignore

 .gitignore | 26 +++++++-------------------
 1 file changed, 7 insertions(+), 19 deletions(-)

commit bb2b064c9921e7bdcd7335ed3001a5e19512d3e1
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-31

    travis: Exclude generated files from coverage

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3a88f2ed573a5bb04d2397c626f6bcf3b1a814da
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-31

    build: Split out generated code from p11-kit/virtual.c

 .gitignore              |   1 +
 Makefile.am             |   2 +
 configure.ac            |  13 ++++
 p11-kit/Makefile.am     |  34 +++++++++
 p11-kit/virtual-fixed.h |   3 -
 p11-kit/virtual.c       | 197 +-----------------------------------------------
 6 files changed, 51 insertions(+), 199 deletions(-)

commit 57697eda68a3343c2e54e5f8f3f4ce65a99383f5
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-31

    trust: Filter out duplicate extensions
    
    The trust policy module keeps all the objects in the database, while
    PKIX doesn't allow multiple extensions identified by the same OID can
    be attached to a certificate.  Add a check to C_FindObjects to exclude
    any duplicates and only return the first matching object.
    
    It would be better if the module rejects such duplicates when loading,
    but it would make startup slower.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1141241

 trust/input/extensions.p11-kit | 23 +++++++++++++++++++++
 trust/input/extensions.pem     | 13 ++++++++++++
 trust/module.c                 | 42 ++++++++++++++++++++++++++++++++++++---
 trust/test-module.c            | 45 +++++++++++++++++++++++++++++++++++++++++-
 trust/test-token.c             |  2 +-
 5 files changed, 120 insertions(+), 5 deletions(-)

commit 14853b1d8466d4e3b5aa23ff14f2abacd4e7e8ef
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-25

    build: Delay compilation of test-related stuff

 Makefile.am         |  9 ++++++---
 common/Makefile.am  |  9 ++++++---
 p11-kit/Makefile.am | 15 +++++++++------
 trust/Makefile.am   | 12 ++++++++----
 4 files changed, 29 insertions(+), 16 deletions(-)

commit 05b67a36e2118b4485da7bd26ed3ba85efdeddb4
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-25

    proxy: Remove dead code
    
    Since the libffi became optional (commit 9f632bed), the fallback code
    path in proxy.c has never taken.

 p11-kit/proxy.c | 708 --------------------------------------------------------
 1 file changed, 708 deletions(-)

commit 3eed501fab5e2a2b19115f4840709c34e9b8ac55
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-16

    proxy: Reuse the existing slot ID mapping after fork
    
    While the proxy module reassigns slot IDs in C_Initialize(), some
    applications assume that valid slot IDs should never change across
    multiple calls to C_Initialize().  This patch mitigates this by
    preserving the slot IDs, if they are known to the proxy module.

 p11-kit/Makefile.am                         |  7 +++
 p11-kit/fixtures/package-modules/six.module |  7 +++
 p11-kit/mock-module-ep4.c                   | 69 +++++++++++++++++++++++++++++
 p11-kit/proxy.c                             | 25 +++++++++--
 p11-kit/test-proxy.c                        | 18 ++++++++
 5 files changed, 122 insertions(+), 4 deletions(-)

commit 031d3c74c0ff5da8e9650da0615bbb8107ab1fde
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-01-17

    server: Avoid null-dereference of timespec value on timeout
    
    Spotted by clang-analyzer.

 p11-kit/server.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 50b752e081e1ca8b674d05e8ddeaf04451065629
Author: Nikos Mavrogiannopoulos <nmav@redhat.com>
Date:   2017-12-22

    Added p11-kit remoting page in manual

 doc/manual/Makefile.am          |   1 +
 doc/manual/p11-kit-docs.xml     |   1 +
 doc/manual/p11-kit-remoting.xml | 253 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 255 insertions(+)

commit 2c84475ca612c33351d9f311ef24b3b89a7c856c
Author: Daiki Ueno <dueno@redhat.com>
Date:   2017-11-29

    build: Add README.md to display build status

 README.md | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 3b137039f5c222dbc6688bd6c9aec01a6dbeeece
Author: Daiki Ueno <dueno@redhat.com>
Date:   2017-11-28

    travis: Exclude test programs from coveralls

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1163e7e1cd3d8b5b42a1d2b463536a36fa0e77af
Author: Daiki Ueno <dueno@redhat.com>
Date:   2017-11-27

    travis: Supply necessary envvars to container for coveralls

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fda7c32b5796be7cee6a457940110effcd80d7f9
Author: Daiki Ueno <dueno@redhat.com>
Date:   2017-11-15

    travis: Use in-tree build for coverage
    
    The coverage tools (gcov, cpp-coveralls, etc) cannot detect source
    files if the project is built out-of-tree.  Use the same directory for
    $srcdir and $builddir for the build with --enable-coverage.

 .travis.yml | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit b889dec9e3493efb72c9903bb4d6007ec00e1c89
Author: Daiki Ueno <dueno@redhat.com>
Date:   2017-10-02

    test: Improve code coverage of filter.c

 p11-kit/test-filter.c | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

commit 64b96efca97479a67e2ac1fcbf1492fceab64ba8
Author: Daiki Ueno <dueno@redhat.com>
Date:   2017-10-02

    travis: Use coveralls for measuring coverage

 .travis.yml | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit d40d6ca27850a95c4c9df8b66f8a47d80bb1d18a
Author: Nikos Mavrogiannopoulos <nmav@gnutls.org>
Date:   2017-10-30

    p11_kit_override_system_files: introduced new function
    
    That allows overriding the default module and configuration
    locations, for use in test suites, etc.
    
